using System;
using System.Net.Http;
using System.Threading.Tasks;

namespace Maps {
    public class Curl {
        public async Task<string> SendRequest()
        {
            using (var client = new HttpClient())
            {
                try {
                    client.BaseAddress = new Uri("https://www.openstreetmap.org");
                    var response = await client.GetAsync("/api/0.6/relation/2143112/full");
                    response.EnsureSuccessStatusCode(); // Throw in not success
                    var stringResponse = await response.Content.ReadAsStringAsync();
                    return stringResponse;
                } catch(HttpRequestException e) {
                    return $"<xml><error>Request exception: {e.Message}</error></xml>";
                }
            }
        }
        public async Task<string> GetRelation(int relation_id)
        {
            using (var client = new HttpClient())
            {
                try {
                    client.BaseAddress = new Uri("https://www.openstreetmap.org");
                    var response = await client.GetAsync("/api/0.6/relation/" + relation_id + "/full");
                    response.EnsureSuccessStatusCode(); // Throw in not success
                    var stringResponse = await response.Content.ReadAsStringAsync();
                    return stringResponse;
                } catch(HttpRequestException e) {
                    return $"<xml><error>Request exception: {e.Message}</error></xml>";
                }
            }
        }
    }

}