using System.Collections.Generic;
using System.Threading.Tasks;
using MapsModels.DsModels;
using MapsDb.Models;
using MapsDb.DataService;
using MapsModels.ViewModels;

namespace MapsDb.Interfaces
{
    public interface IRoadDs
    {
         Task<IList<RoadSelectListDsM>> GetSelectListAsync();
         Task<IList<RoadEditDsM>> GetIndexListAsync(PaginationDsM pagination);
        Task<Road> CreateAsync(RoadEditDsM road);
        Task<Road> UpdateAsync(RoadEditDsM road, int id);
        Task<int> DeleteAsync(int Id);
        List<WayLook> GetRelationAsync(int Id);
        RoadVm GetByWay(int Id);
        RoadVm GetByNode(int Id);
    }
}